set define off
set verify off
set feedback off
WHENEVER SQLERROR EXIT SQL.SQLCODE ROLLBACK
begin wwv_flow.g_import_in_progress := true; end; 
/
 
--       AAAA       PPPPP   EEEEEE  XX      XX
--      AA  AA      PP  PP  EE       XX    XX
--     AA    AA     PP  PP  EE        XX  XX
--    AAAAAAAAAA    PPPPP   EEEE       XXXX
--   AA        AA   PP      EE        XX  XX
--  AA          AA  PP      EE       XX    XX
--  AA          AA  PP      EEEEEE  XX      XX
prompt  Set Credentials...
 
begin
 
  -- Assumes you are running the script connected to SQL*Plus as the Oracle user APEX_040100 or as the owner (parsing schema) of the application.
  wwv_flow_api.set_security_group_id(p_security_group_id=>nvl(wwv_flow_application_install.get_workspace_id,17151373012351605525));
 
end;
/

begin wwv_flow.g_import_in_progress := true; end;
/
begin 

select value into wwv_flow_api.g_nls_numeric_chars from nls_session_parameters where parameter='NLS_NUMERIC_CHARACTERS';

end;

/
begin execute immediate 'alter session set nls_numeric_characters=''.,''';

end;

/
begin wwv_flow.g_browser_language := 'en'; end;
/
prompt  Check Compatibility...
 
begin
 
-- This date identifies the minimum version required to import this file.
wwv_flow_api.set_version(p_version_yyyy_mm_dd=>'2011.02.12');
 
end;
/

prompt  Set Application ID...
 
begin
 
   -- SET APPLICATION ID
   wwv_flow.g_flow_id := nvl(wwv_flow_application_install.get_application_id,53775);
   wwv_flow_api.g_id_offset := nvl(wwv_flow_application_install.get_offset,0);
null;
 
end;
/

prompt  ...plugins
--
--application/shared_components/plugins/item_type/at_nethead_apex_filedrop
 
begin
 
wwv_flow_api.create_plugin (
  p_id => 59350564213003997920 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_type => 'ITEM TYPE'
 ,p_name => 'AT.NETHEAD.APEX.FILEDROP'
 ,p_display_name => 'Filedrop (1.0)'
 ,p_image_prefix => '#PLUGIN_PREFIX#'
 ,p_plsql_code => 
'function nethead_filedrop_ext_render('||unistr('\000a')||
'  p_item          in apex_plugin.t_page_item, '||unistr('\000a')||
'  p_plugin        in apex_plugin.t_plugin, '||unistr('\000a')||
'  p_value         in varchar2, '||unistr('\000a')||
'  p_is_readonly   in boolean,'||unistr('\000a')||
'  p_is_printer_friendly in boolean) '||unistr('\000a')||
'  return apex_plugin.t_page_item_render_result'||unistr('\000a')||
'is'||unistr('\000a')||
'  l_name varchar2(30);'||unistr('\000a')||
'  l_result apex_plugin.t_page_item_render_result;'||unistr('\000a')||
'  '||unistr('\000a')||
'  l_description         VARCHAR2(200) := p_plu'||
'gin.attribute_01;'||unistr('\000a')||
'  l_error               VARCHAR2(200) := p_plugin.attribute_02;'||unistr('\000a')||
'  l_items_to_submit     VARCHAR2(32767) := p_item.attribute_01;'||unistr('\000a')||
'  l_vc_arr2             apex_application_global.vc_arr2;'||unistr('\000a')||
'begin'||unistr('\000a')||
'    if apex_application.g_debug then'||unistr('\000a')||
'      apex_plugin_util.debug_page_item ('||unistr('\000a')||
'        p_plugin              => p_plugin,'||unistr('\000a')||
'        p_page_item           => p_item,'||unistr('\000a')||
'        p_value              '||
' => p_value,'||unistr('\000a')||
'        p_is_readonly         => p_is_readonly,'||unistr('\000a')||
'        p_is_printer_friendly => p_is_printer_friendly );'||unistr('\000a')||
'    end if;'||unistr('\000a')||
'    '||unistr('\000a')||
'    l_vc_arr2 := apex_util.string_to_table(l_items_to_submit, '','');'||unistr('\000a')||
''||unistr('\000a')||
'    apex_css.add_file ('||unistr('\000a')||
'        p_name => ''apex.filedrop'','||unistr('\000a')||
'        p_directory => p_plugin.file_prefix,'||unistr('\000a')||
'        p_version => null '||unistr('\000a')||
'    );'||unistr('\000a')||
'    apex_javascript.add_library ('||unistr('\000a')||
'        p_name      => '||
'''apex.filedrop'','||unistr('\000a')||
'        p_directory => p_plugin.file_prefix,'||unistr('\000a')||
'        p_version   => null'||unistr('\000a')||
'    );'||unistr('\000a')||
'    '||unistr('\000a')||
'    htp.p(''<div id="''||p_item.name|| ''" class="nethead_dropfield"><span>''|| l_description ||''</span><em>''|| l_error ||''</em></div>'');'||unistr('\000a')||
'    '||unistr('\000a')||
''||unistr('\000a')||
'    apex_javascript.add_onload_code ('||unistr('\000a')||
'        p_code => '''||unistr('\000a')||
'          Nethead.Apex.Filedrop.init({'||unistr('\000a')||
'            item: "#''||p_item.name|| ''",'||unistr('\000a')||
'            save: "'''||
'|| apex_plugin.get_ajax_identifier|| ''",'||unistr('\000a')||
'            args: "''|| l_items_to_submit ||''".length > 0 ? "''|| l_items_to_submit ||''".split(",") : []'||unistr('\000a')||
'          });'||unistr('\000a')||
'        '''||unistr('\000a')||
'    );'||unistr('\000a')||
'    '||unistr('\000a')||
'    return l_result;'||unistr('\000a')||
'end nethead_filedrop_ext_render;'||unistr('\000a')||
''||unistr('\000a')||
'function nethead_filedrop_ext_ajax ('||unistr('\000a')||
'	p_item   in apex_plugin.t_page_item,'||unistr('\000a')||
'	p_plugin in apex_plugin.t_plugin )'||unistr('\000a')||
'return apex_plugin.t_page_item_ajax_result'||unistr('\000a')||
'AS'||unistr('\000a')||
'	l_resul'||
't            apex_plugin.t_page_item_ajax_result;'||unistr('\000a')||
'  l_plsql             p_item.attribute_02%type := p_item.attribute_02;'||unistr('\000a')||
'BEGIN'||unistr('\000a')||
'  apex_plugin_util.execute_plsql_code ('||unistr('\000a')||
'        p_plsql_code => l_plsql '||unistr('\000a')||
'  );'||unistr('\000a')||
'  '||unistr('\000a')||
'	return l_result;'||unistr('\000a')||
'END nethead_filedrop_ext_ajax;'
 ,p_render_function => 'nethead_filedrop_ext_render'
 ,p_ajax_function => 'nethead_filedrop_ext_ajax'
 ,p_standard_attributes => 'VISIBLE'
 ,p_substitute_attributes => true
 ,p_attribute_01 => 'Drop files here'
 ,p_attribute_02 => 'Your browser doesn''t support this HTML5 feature.'
 ,p_version_identifier => '1.0'
 ,p_about_url => 'http://damien.antipa.at'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 59361371014462603890 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 59350564213003997920 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'APPLICATION'
 ,p_attribute_sequence => 1
 ,p_display_sequence => 10
 ,p_prompt => 'Description'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => true
 ,p_default_value => 'Drop files here'
 ,p_is_translatable => true
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 63437590503365764520 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 59350564213003997920 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'APPLICATION'
 ,p_attribute_sequence => 2
 ,p_display_sequence => 20
 ,p_prompt => 'Error message'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => false
 ,p_default_value => 'Your browser doesn''t support this HTML5 feature.'
 ,p_is_translatable => true
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 59523707826786200421 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 59350564213003997920 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 1
 ,p_display_sequence => 10
 ,p_prompt => 'Items to submit'
 ,p_attribute_type => 'PAGE ITEMS'
 ,p_is_required => false
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 59523721704061203398 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 59350564213003997920 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 2
 ,p_display_sequence => 20
 ,p_prompt => 'PL/SQL execution'
 ,p_attribute_type => 'PLSQL'
 ,p_is_required => true
 ,p_default_value => 'DECLARE'||unistr('\000a')||
'  c_collection_name   constant varchar2(200) := ''CLOB_CONTENT'';'||unistr('\000a')||
'  l_blob              BLOB;'||unistr('\000a')||
'  l_mime              VARCHAR2(50);'||unistr('\000a')||
'BEGIN'||unistr('\000a')||
'  select apex_web_service.clobbase642blob(substr(clob001, instr(clob001, '','')+1, length(clob001))) '||unistr('\000a')||
'  into l_blob'||unistr('\000a')||
'  from apex_collections'||unistr('\000a')||
'  where collection_name = c_collection_name;'||unistr('\000a')||
'  '||unistr('\000a')||
'  insert into table1(binary, filename, mime) values (l_blob, wwv_flow.g_x01, wwv_flow.g_x02);'||unistr('\000a')||
'END;'
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_event (
  p_id => 63438218025678931803 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 59350564213003997920 + wwv_flow_api.g_id_offset
 ,p_name => 'uploadend'
 ,p_display_name => 'Upload ended'
  );
wwv_flow_api.create_plugin_event (
  p_id => 59628344430601511622 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 59350564213003997920 + wwv_flow_api.g_id_offset
 ,p_name => 'uploadstart'
 ,p_display_name => 'Upload started'
  );
null;
 
end;
/

 
begin
 
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2E6E6574686561645F64726F706669656C64207370616E207B0A20202020646973706C61793A206E6F6E653B0A7D0A0A2E6E6574686561645F64726F706669656C642E616374697661746564207B0A096261636B67726F756E643A20236666663B0A0962';
wwv_flow_api.g_varchar2_table(2) := '6F726465723A203470782064617368656420234444444444443B0A09636F6C6F723A20233333333B0A09666F6E742D73697A653A20323030253B0A202020206865696768743A2032303070783B0A202020206C696E652D6865696768743A203230307078';
wwv_flow_api.g_varchar2_table(3) := '3B0A20202020746578742D616C69676E3A2063656E7465723B0A2020202077696474683A2034303070783B0A7D0A0A2E6E6574686561645F64726F706669656C642E61637469766174656420656D207B0A20202020646973706C61793A206E6F6E653B0A';
wwv_flow_api.g_varchar2_table(4) := '7D0A0A2E6E6574686561645F64726F706669656C642E616374697661746564207370616E207B0A20202020646973706C61793A20696E6C696E653B0A7D0A0A2E6E6574686561645F64726F706669656C642E6163746976617465642E686F766572207B0A';
wwv_flow_api.g_varchar2_table(5) := '20202020626F726465723A203470782064617368656420233043304330432021696D706F7274616E743B0A7D0A0A0A';
null;
 
end;
/

 
begin
 
wwv_flow_api.create_plugin_file (
  p_id => 63438162830040893284 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 59350564213003997920 + wwv_flow_api.g_id_offset
 ,p_file_name => 'apex.filedrop.css'
 ,p_mime_type => 'text/css'
 ,p_file_content => wwv_flow_api.g_varchar2_table
  );
null;
 
end;
/

 
begin
 
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A0A204150455820706C7567696E3A2066696C6564726F700A0A20436F707972696768742028632920323031322044616D69656E20416E746970612C20687474703A2F2F7777772E6E6574686561642E61742F2C20687474703A2F2F64616D69656E2E';
wwv_flow_api.g_varchar2_table(2) := '616E746970612E61740A0A205065726D697373696F6E20697320686572656279206772616E7465642C2066726565206F66206368617267652C20746F20616E7920706572736F6E206F627461696E696E670A206120636F7079206F66207468697320736F';
wwv_flow_api.g_varchar2_table(3) := '66747761726520616E64206173736F63696174656420646F63756D656E746174696F6E2066696C657320287468650A2022536F66747761726522292C20746F206465616C20696E2074686520536F66747761726520776974686F75742072657374726963';
wwv_flow_api.g_varchar2_table(4) := '74696F6E2C20696E636C7564696E670A20776974686F7574206C696D69746174696F6E207468652072696768747320746F207573652C20636F70792C206D6F646966792C206D657267652C207075626C6973682C0A20646973747269627574652C207375';
wwv_flow_api.g_varchar2_table(5) := '626C6963656E73652C20616E642F6F722073656C6C20636F70696573206F662074686520536F6674776172652C20616E6420746F0A207065726D697420706572736F6E7320746F2077686F6D2074686520536F667477617265206973206675726E697368';
wwv_flow_api.g_varchar2_table(6) := '656420746F20646F20736F2C207375626A65637420746F0A2074686520666F6C6C6F77696E6720636F6E646974696F6E733A0A0A205468652061626F766520636F70797269676874206E6F7469636520616E642074686973207065726D697373696F6E20';
wwv_flow_api.g_varchar2_table(7) := '6E6F74696365207368616C6C2062650A20696E636C7564656420696E20616C6C20636F70696573206F72207375627374616E7469616C20706F7274696F6E73206F662074686520536F6674776172652E0A0A2054484520534F4654574152452049532050';
wwv_flow_api.g_varchar2_table(8) := '524F564944454420224153204953222C20574954484F55542057415252414E5459204F4620414E59204B494E442C0A2045585052455353204F5220494D504C4945442C20494E434C5544494E4720425554204E4F54204C494D4954454420544F20544845';
wwv_flow_api.g_varchar2_table(9) := '2057415252414E54494553204F460A204D45524348414E544142494C4954592C204649544E45535320464F52204120504152544943554C415220505552504F534520414E440A204E4F4E494E4652494E47454D454E542E20494E204E4F204556454E5420';
wwv_flow_api.g_varchar2_table(10) := '5348414C4C2054484520415554484F5253204F5220434F5059524947485420484F4C444552532042450A204C4941424C4520464F5220414E5920434C41494D2C2044414D41474553204F52204F54484552204C494142494C4954592C2057484554484552';
wwv_flow_api.g_varchar2_table(11) := '20494E20414E20414354494F4E0A204F4620434F4E54524143542C20544F5254204F52204F54484552574953452C2041524953494E472046524F4D2C204F5554204F46204F5220494E20434F4E4E454354494F4E0A20574954482054484520534F465457';
wwv_flow_api.g_varchar2_table(12) := '415245204F522054484520555345204F52204F54484552204445414C494E475320494E2054484520534F4654574152452E0A202A2F0A0A2F2A2A0A202A0A202A20406E616D6573706163650A202A2F0A766172204E657468656164203D204E6574686561';
wwv_flow_api.g_varchar2_table(13) := '64207C7C207B7D3B0A0A2866756E6374696F6E20282429207B0A202020202275736520737472696374223B0A0A202020202F2A2A0A20202020202A0A20202020202A20406E616D65737061636520686F6C64732066756E6374696F6E616C697479207265';
wwv_flow_api.g_varchar2_table(14) := '6C6174656420746F20415045580A20202020202A2F0A202020204E6574686561642E41706578203D204E6574686561642E41706578207C7C207B7D3B0A0A202020202F2A2A0A20202020202A0A20202020202A2040636C6173732070726F766964657320';
wwv_flow_api.g_varchar2_table(15) := '6472616720616E642064726F702066756E6374696F6E616C69747920666F7220415045580A20202020202A2F0A202020204E6574686561642E417065782E46696C6564726F70203D202866756E6374696F6E202829207B0A0A2020202020202020766172';
wwv_flow_api.g_varchar2_table(16) := '2064656661756C74732C0A2020202020202020202020206F7074696F6E732C0A20202020202020202020202066696C6573203D205B5D2C0A202020202020202020202020692C0A202020202020202020202020647261676F7665722C0A20202020202020';
wwv_flow_api.g_varchar2_table(17) := '2020202020647261676C656176652C0A20202020202020202020202064726F702C0A20202020202020202020202066696C6564726F702C0A20202020202020202020202074686174203D20746869733B0A0A20202020202020202F2A2A0A202020202020';
wwv_flow_api.g_varchar2_table(18) := '2020202A206D617920636F6E7461696E20612064656661756C7420636F6E66696775726174696F6E2028616E6420747261636573206F66206E757473290A2020202020202020202A2040707269766174650A2020202020202020202A2F0A202020202020';
wwv_flow_api.g_varchar2_table(19) := '202064656661756C7473203D207B0A2020202020202020202020206974656D3A206E756C6C2C0A202020202020202020202020736176653A2066756E6374696F6E202829207B7D2C0A202020202020202020202020617267733A205B5D2C0A2020202020';
wwv_flow_api.g_varchar2_table(20) := '20202020202020686F766572436C6173733A2027686F766572270A20202020202020207D3B0A0A20202020202020202F2A2A0A2020202020202020202A0A2020202020202020202A2040707269766174650A2020202020202020202A2040706172616D20';
wwv_flow_api.g_varchar2_table(21) := '6576656E740A2020202020202020202A2F0A2020202020202020647261676F766572203D2066756E6374696F6E20286576656E7429207B0A2020202020202020202020202F2F652E73746F7050726F7061676174696F6E28293B0A202020202020202020';
wwv_flow_api.g_varchar2_table(22) := '2020206576656E742E70726576656E7444656661756C7428293B0A0A20202020202020202020202024286F7074696F6E732E6974656D292E616464436C617373286F7074696F6E732E686F766572436C617373293B0A20202020202020207D3B0A0A2020';
wwv_flow_api.g_varchar2_table(23) := '2020202020202F2A2A0A2020202020202020202A0A2020202020202020202A2040707269766174650A2020202020202020202A2040706172616D206576656E740A2020202020202020202A2F0A2020202020202020647261676C65617665203D2066756E';
wwv_flow_api.g_varchar2_table(24) := '6374696F6E20286576656E7429207B0A2020202020202020202020202F2F652E73746F7050726F7061676174696F6E28293B0A2020202020202020202020206576656E742E70726576656E7444656661756C7428293B0A0A202020202020202020202020';
wwv_flow_api.g_varchar2_table(25) := '24286F7074696F6E732E6974656D292E72656D6F7665436C617373286F7074696F6E732E686F766572436C617373293B0A20202020202020207D3B0A0A20202020202020202F2A2A0A2020202020202020202A0A2020202020202020202A204070726976';
wwv_flow_api.g_varchar2_table(26) := '6174650A2020202020202020202A2040706172616D206576656E740A2020202020202020202A2F0A202020202020202064726F70203D2066756E6374696F6E20286576656E7429207B0A2020202020202020202020202F2F652E73746F7050726F706167';
wwv_flow_api.g_varchar2_table(27) := '6174696F6E28293B0A2020202020202020202020206576656E742E70726576656E7444656661756C7428293B0A0A20202020202020202020202066696C6573203D206576656E742E6F726967696E616C4576656E742E7461726765742E66696C6573207C';
wwv_flow_api.g_varchar2_table(28) := '7C206576656E742E6F726967696E616C4576656E742E646174615472616E736665722E66696C65733B0A0A202020202020202020202020666F72202869203D20303B2069203C2066696C65732E6C656E6774683B2069202B3D203129207B0A2020202020';
wwv_flow_api.g_varchar2_table(29) := '2020202020202020202020242874686973292E74726967676572282766696C6564726F7053656E64272C2066696C65735B695D293B0A2020202020202020202020207D0A0A20202020202020202020202024286F7074696F6E732E6974656D292E72656D';
wwv_flow_api.g_varchar2_table(30) := '6F7665436C617373286F7074696F6E732E686F766572436C617373293B0A20202020202020207D3B0A0A20202020202020202F2A2A0A2020202020202020202A2066696C6564726F702066756E6374696F6E616C69747920666F7220616E792067697665';
wwv_flow_api.g_varchar2_table(31) := '6E206A5175657279206F626A6563742E20537570706F73656420746F20626520757365642061732061206A517565727920706C7567696E20286F6E6C79290A2020202020202020202A2040707269766174650A2020202020202020202A2040706172616D';
wwv_flow_api.g_varchar2_table(32) := '20636F6E6669670A2020202020202020202A2040706172616D20636F6E6669672E63616C6C6261636B2063616C6C6261636B2066756E6374696F6E20746F2062652065786563757465642061667465722066696C65207761732064726F707065640A2020';
wwv_flow_api.g_varchar2_table(33) := '202020202020202A2F0A202020202020202066696C6564726F70203D2066756E6374696F6E2028636F6E66696729207B0A2020202020202020202020207661722064656661756C74733B0A0A20202020202020202020202064656661756C7473203D207B';
wwv_flow_api.g_varchar2_table(34) := '0A2020202020202020202020202020202063616C6C6261636B203A206E756C6C0A2020202020202020202020207D3B0A202020202020202020202020636F6E666967203D2020242E657874656E642864656661756C74732C20636F6E666967293B0A0A20';
wwv_flow_api.g_varchar2_table(35) := '202020202020202020202072657475726E20746869732E656163682866756E6374696F6E202829207B0A20202020202020202020202020202020242874686973292E62696E642827647261676F766572272C20242E70726F787928647261676F7665722C';
wwv_flow_api.g_varchar2_table(36) := '207468697329290A20202020202020202020202020202020202020202E62696E642827647261676C65617665272C20242E70726F787928647261676C656176652C207468697329290A20202020202020202020202020202020202020202E62696E642827';
wwv_flow_api.g_varchar2_table(37) := '64726F70272C20242E70726F78792864726F702C207468697329290A20202020202020202020202020202020202020202E62696E64282766696C6564726F7053656E64272C20242E70726F787928636F6E6669672E63616C6C6261636B2C207468697329';
wwv_flow_api.g_varchar2_table(38) := '293B0A2020202020202020202020207D293B0A20202020202020207D3B0A0A20202020202020202F2A2A0A2020202020202020202A204164647320746865202266696C6564726F702220706C7567696E20746F206A51756572790A202020202020202020';
wwv_flow_api.g_varchar2_table(39) := '2A2F0A2020202020202020242E666E2E657874656E64287B0A20202020202020202020202066696C6564726F703A2066696C6564726F700A20202020202020207D293B0A0A202020202020202074686174203D207B0A2020202020202020202020202F2A';
wwv_flow_api.g_varchar2_table(40) := '2A0A202020202020202020202020202A20546869732066756E6374696F6E20696E697469616C697A65732061206E6577206F626A6563740A202020202020202020202020202A2040706172616D20636F6E66696720436F6E66696775726174696F6E2077';
wwv_flow_api.g_varchar2_table(41) := '68696368206F7665727269646573207468652064656661756C740A202020202020202020202020202A2040706172616D20636F6E6669672E6974656D207B537472696E677D0A202020202020202020202020202A2040706172616D20636F6E6669672E73';
wwv_flow_api.g_varchar2_table(42) := '617665207B46756E6374696F6E7D0A202020202020202020202020202A2040706172616D20636F6E6669672E61726773207B537472696E675B5D7D0A202020202020202020202020202A2040706172616D20636F6E6669672E686F766572436C61737320';
wwv_flow_api.g_varchar2_table(43) := '7B537472696E677D0A202020202020202020202020202A2F0A202020202020202020202020696E69743A2066756E6374696F6E2028636F6E66696729207B0A202020202020202020202020202020206F7074696F6E73203D2020242E657874656E642864';
wwv_flow_api.g_varchar2_table(44) := '656661756C74732C20636F6E666967293B0A0A202020202020202020202020202020206966202821617065782E616A61782E636C6F62207C7C2021617065782E6576656E742E74726967676572207C7C2021247629207B202F2F206D616E6461746F7279';
wwv_flow_api.g_varchar2_table(45) := '2066726F6D20415045580A20202020202020202020202020202020202020207468726F77202741504558206C696272617269657320617265206E6F7420617661696C61626C652E273B0A202020202020202020202020202020207D0A0A20202020202020';
wwv_flow_api.g_varchar2_table(46) := '202020202020202020696620282766696C65732720696E20446174615472616E736665722E70726F746F7479706529207B202F2F2048544D4C35206665617475726520746F20656E61626C65206472616720616E642064726F700A202020202020202020';
wwv_flow_api.g_varchar2_table(47) := '202020202020202020202024286F7074696F6E732E6974656D292E616464436C617373282761637469766174656427292E66696C6564726F70287B0A20202020202020202020202020202020202020202020202063616C6C6261636B3A20746869732E73';
wwv_flow_api.g_varchar2_table(48) := '656E640A20202020202020202020202020202020202020207D293B0A202020202020202020202020202020207D0A2020202020202020202020207D2C0A0A2020202020202020202020202F2A2A0A202020202020202020202020202A2040726571756972';
wwv_flow_api.g_varchar2_table(49) := '657320617065780A202020202020202020202020202A2040706172616D2066696C650A202020202020202020202020202A2F0A20202020202020202020202073656E64203A2066756E6374696F6E20286576656E742C2066696C6529207B0A2020202020';
wwv_flow_api.g_varchar2_table(50) := '202020202020202020202076617220636C6F624F626A2C20636C6F6253746174652C207265616465723B0A0A20202020202020202020202020202020726561646572203D206E65772046696C6552656164657228293B0A0A202020202020202020202020';
wwv_flow_api.g_varchar2_table(51) := '20202020636C6F624F626A203D206E657720617065782E616A61782E636C6F622866756E6374696F6E20287029207B0A2020202020202020202020202020202020202020636C6F625374617465203D20702E726561647953746174653B0A0A2020202020';
wwv_flow_api.g_varchar2_table(52) := '20202020202020202020202020202069662028636C6F625374617465203D3D3D203429207B0A202020202020202020202020202020202020202020202020746861742E696E666F726D2866696C65293B0A20202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(53) := '207D0A202020202020202020202020202020207D293B0A0A202020202020202020202020202020207265616465722E7265616441734461746155524C2866696C65293B0A0A202020202020202020202020202020207265616465722E6F6E6C6F6164203D';
wwv_flow_api.g_varchar2_table(54) := '2066756E6374696F6E20286529207B0A2020202020202020202020202020202020202020617065782E6576656E742E74726967676572286F7074696F6E732E6974656D2C202775706C6F61647374617274272C207B0A2020202020202020202020202020';
wwv_flow_api.g_varchar2_table(55) := '2020202020202020202066696C656E616D653A2066696C652E6E616D652C0A2020202020202020202020202020202020202020202020206D696D65747970653A2066696C652E747970650A20202020202020202020202020202020202020207D293B0A20';
wwv_flow_api.g_varchar2_table(56) := '20202020202020202020202020202020202020636C6F624F626A2E5F73657428652E7461726765742E726573756C74293B0A202020202020202020202020202020207D3B0A2020202020202020202020207D2C0A0A2020202020202020202020202F2A2A';
wwv_flow_api.g_varchar2_table(57) := '0A202020202020202020202020202A204072657175697265732024760A202020202020202020202020202A2040726571756972657320617065780A202020202020202020202020202A2040706172616D2066696C656E616D650A20202020202020202020';
wwv_flow_api.g_varchar2_table(58) := '2020202A2F0A202020202020202020202020696E666F726D203A2066756E6374696F6E202866696C6529207B0A2020202020202020202020202020202076617220617267732C2074203D20746869732C2061726756616C756573203D205B5D3B0A0A2020';
wwv_flow_api.g_varchar2_table(59) := '2020202020202020202020202020242E65616368286F7074696F6E732E617267732C2066756E6374696F6E2028692C2076616C29207B0A202020202020202020202020202020202020202061726756616C7565732E707573682824762876616C29293B0A';
wwv_flow_api.g_varchar2_table(60) := '202020202020202020202020202020207D293B0A0A2020202020202020202020202020202061726773203D207B0A2020202020202020202020202020202020202020705F666C6F775F69640909093A202476282270466C6F77496422292C0A2020202020';
wwv_flow_api.g_varchar2_table(61) := '202020202020202020202020202020705F666C6F775F737465705F696409093A202476282270466C6F7753746570496422292C0A2020202020202020202020202020202020202020705F696E7374616E63650909093A202476282270496E7374616E6365';
wwv_flow_api.g_varchar2_table(62) := '22292C0A2020202020202020202020202020202020202020705F726571756573740909093A2027504C5547494E3D27202B206F7074696F6E732E736176652C0A2020202020202020202020202020202020202020705F6172675F6E616D65730909093A20';
wwv_flow_api.g_varchar2_table(63) := '6F7074696F6E732E617267732C0A2020202020202020202020202020202020202020705F6172675F76616C75657309093A2061726756616C7565732C0A202020202020202020202020202020202020202078303120202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(64) := '203A2066696C652E6E616D652C0A202020202020202020202020202020202020202078303220202020202020202020202020202020203A2066696C652E747970650A202020202020202020202020202020207D3B0A0A2020202020202020202020202020';
wwv_flow_api.g_varchar2_table(65) := '202069662028617267732E705F6172675F6E616D65732E6C656E677468203D3D3D203029207B0A202020202020202020202020202020202020202064656C65746520617267732E705F6172675F6E616D65733B0A20202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(66) := '2020202064656C65746520617267732E705F6172675F76616C7565733B0A202020202020202020202020202020207D0A0A20202020202020202020202020202020242E706F7374280A2020202020202020202020202020202020202020277777765F666C';
wwv_flow_api.g_varchar2_table(67) := '6F772E73686F77272C0A2020202020202020202020202020202020202020617267732C0A202020202020202020202020202020202020202066756E6374696F6E20286461746129207B0A2020202020202020202020202020202020202020202020206170';
wwv_flow_api.g_varchar2_table(68) := '65782E6576656E742E74726967676572286F7074696F6E732E6974656D2C202775706C6F6164656E64272C207B0A2020202020202020202020202020202020202020202020202020202066696C656E616D653A2066696C652E6E616D652C0A2020202020';
wwv_flow_api.g_varchar2_table(69) := '20202020202020202020202020202020202020202020206D696D65747970653A2066696C652E747970650A2020202020202020202020202020202020202020202020207D293B0A20202020202020202020202020202020202020207D0A20202020202020';
wwv_flow_api.g_varchar2_table(70) := '202020202020202020293B0A2020202020202020202020207D0A20202020202020207D3B0A0A202020202020202072657475726E20746861743B0A202020207D2829293B0A7D28617065782E6A517565727929293B';
null;
 
end;
/

 
begin
 
wwv_flow_api.create_plugin_file (
  p_id => 63438220203273936017 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 59350564213003997920 + wwv_flow_api.g_id_offset
 ,p_file_name => 'apex.filedrop.js'
 ,p_mime_type => 'application/x-javascript'
 ,p_file_content => wwv_flow_api.g_varchar2_table
  );
null;
 
end;
/

commit;
begin 
execute immediate 'begin dbms_session.set_nls( param => ''NLS_NUMERIC_CHARACTERS'', value => '''''''' || replace(wwv_flow_api.g_nls_numeric_chars,'''''''','''''''''''') || ''''''''); end;';
end;
/
set verify on
set feedback on
set define on
prompt  ...done
